import { SimpleLocalIntegration } from '../../core/index.js';
import { ValloxConfigFlow } from './vallox.classes.configflow.js';
import { createValloxDiscoveryDescriptor } from './vallox.discovery.js';
import type { IValloxConfig } from './vallox.types.js';
import { valloxDomain, valloxProfile } from './vallox.types.js';

export class ValloxIntegration extends SimpleLocalIntegration<IValloxConfig> {
  public readonly domain = valloxDomain;
  public readonly discoveryDescriptor = createValloxDiscoveryDescriptor();
  public readonly configFlow = new ValloxConfigFlow();

  constructor() {
    super(valloxProfile);
  }
}

export class HomeAssistantValloxIntegration extends ValloxIntegration {}
